/**
 * DuMP3 version 0.3.2 - a duplicate/similar file finder in Java<BR>
 * Copyright 2005 Alexander Gr&auml;sser<BR>
 * All Rights Reserved, http://dump3.sourceforge.net/<BR>
 * <BR>
 * This file is part of DuMP3.<BR>
 * <BR>
 * DuMP3 is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later version.<BR>
 * <BR>
 * DuMP3 is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE. See the GNU General Public License for more details.<BR>
 * <BR>
 * You should have received a copy of the GNU General Public License along with DuMP3; if not, write to the Free Software Foundation, Inc., 51 Franklin St,
 * Fifth Floor, Boston, MA 02110-1301 USA
 */
package net.za.grasser.duplicate.util;

/**
 * This class contains all <code>char</code> contstants used in this project.
 * 
 * @author <a href="http://sourceforge.net/sendmessage.php?touser=733840">pyropunk at sourceforge dot net</a>
 * @version $Revision: 1.8 $
 */
public interface Chars {
  /**
   * <code>OPN_SQ_BRACKET</code> Chars - [
   */
  public static final char OPN_SQ_BRACKET = '[';
  /**
   * <code>CLS_SQ_BRACKET</code> Chars - ]
   */
  public static final char CLS_SQ_BRACKET = ']';
  /**
   * <code>OPN_BRACE</code> Chars - {
   */
  public static final char OPN_BRACE = '{';
  /**
   * <code>CLS_BRACE</code> Chars - }
   */
  public static final char CLS_BRACE = '}';
  /**
   * <code>OPN_BRACKET</code> Chars - (
   */
  public static final char OPN_BRACKET = '(';
  /**
   * <code>CLS_BRACKET</code> Chars - )
   */
  public static final char CLS_BRACKET = ')';
  /**
   * <code>EXCLAMATION</code> Chars - !
   */
  public static final char EXCLAMATION = '!';
  /**
   * <code>DOT</code> Chars - .
   */
  public static final char DOT = '.';
  /**
   * <code>COMMA</code> Chars - ,
   */
  public static final char COMMA = ',';
  /**
   * <code>SPACE</code> Chars -
   */
  public static final char SPACE = ' ';
  /**
   * <code>STAR</code> Chars - *
   */
  public static final char STAR = '*';
  /**
   * <code>QMARK</code> Chars - ?
   */
  public static final char QMARK = '?';
  /**
   * <code>PERCENT</code> Chars - %
   */
  public static final char PERCENT = '%';
  /**
   * <code>ZERO</code> Chars - 0
   */
  public static final char ZERO = '0';
  /**
   * <code>NINE</code> Chars - 9
   */
  public static final char NINE = '9';
  /**
   * <code>q</code> Chars - q
   */
  public static final char q = 'q';
  /**
   * <code>Q</code> Chars - Q
   */
  public static final char Q = 'Q';
  /**
   * <code>PIPE</code> Chars - |
   */
  public static final char PIPE = '|';
  /**
   * <code>DOLLAR</code> Chars - $
   */
  public static final char DOLLAR = '$';
  /**
   * <code>COLON</code> Chars - :
   */
  public static final char COLON = ':';
  /**
   * <code>LT</code> Chars - &lt;
   */
  public static final char LT = '<';
  /**
   * <code>GT</code> Chars - &gt;
   */
  public static final char GT = '>';
  /**
   * <code>EQ</code> Chars - =
   */
  public static final char EQ = '=';
  /**
   * <code>TILDE</code> Chars - ~
   */
  public static final char TILDE = '~';
  /**
   * <code>DASH</code> Chars - -
   */
  public static final char DASH = '-';
  /**
   * <code>CFLEX</code> Chars - ^
   */
  public static final char CFLEX = '^';
  /**
   * <code>SLASH</code> Chars - /
   */
  public static final char SLASH = '/';
  /**
   * <code>BSLASH</code> Chars - \
   */
  public static final char BSLASH = '\\';
  /**
   * <code>i</code> Chars - i
   */
  public static final char i = 'i';
  /**
   * <code>PLUS</code> Chars - +
   */
  public static final char PLUS = '+';
  /**
   * <code>m</code> Chars - m
   */
  public static final char m = 'm';
  /**
   * <code>HASH</code> Chars - #
   */
  public static final char HASH = '#';
  /**
   * <code>s</code> Chars - s
   */
  public static final char s = 's';
  /**
   * <code>QUOTE</code> Chars - '
   */
  public static final char QUOTE = '\'';
  /**
   * <code>DQUOTE</code> Chars - '
   */
  public static final char DQUOTE = '"';
  /**
   * <code>USCORE</code> Chars - _
   */
  public static final char USCORE = '_';
}
