/**
 * DuMP3 version 0.3.2 - a duplicate/similar file finder in Java<BR>
 * Copyright 2005 Alexander Gr&auml;sser<BR>
 * All Rights Reserved, http://dump3.sourceforge.net/<BR>
 * <BR>
 * This file is part of DuMP3.<BR>
 * <BR>
 * DuMP3 is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later version.<BR>
 * <BR>
 * DuMP3 is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE. See the GNU General Public License for more details.<BR>
 * <BR>
 * You should have received a copy of the GNU General Public License along with DuMP3; if not, write to the Free Software Foundation, Inc., 51 Franklin St,
 * Fifth Floor, Boston, MA 02110-1301 USA
 */
package net.za.grasser.duplicate.util;

/**
 * This class contains all <code>String</code> constants for this project.
 * 
 * @author <a href="http://sourceforge.net/sendmessage.php?touser=733840">pyropunk at sourceforge dot net</a>
 * @version $Revision: 1.12 $
 */
public interface Strings {
  /**
   * <code>OPN_SQ_BRACKET</code> Strings - [
   */
  public static final String OPN_SQ_BRACKET = String.valueOf(Chars.OPN_SQ_BRACKET);
  /**
   * <code>CLS_SQ_BRACKET</code> Strings - ]
   */
  public static final String CLS_SQ_BRACKET = String.valueOf(Chars.CLS_SQ_BRACKET);
  /**
   * <code>EXCLAMATION</code> Strings - !
   */
  public static final String EXCLAMATION = String.valueOf(Chars.EXCLAMATION);
  /**
   * <code>PERCENT</code> Strings - %
   */
  public static final String PERCENT = String.valueOf(Chars.PERCENT);
  /**
   * <code>STAR</code> Strings - *
   */
  public static final String STAR = String.valueOf(Chars.STAR);
  /**
   * <code>DOT</code> Strings - .
   */
  public static final String DOT = String.valueOf(Chars.DOT);
  /**
   * <code>LS</code> Strings - line separator for thos OS
   */
  public static final String LS = System.getProperty("line.separator"); //$NON-NLS-1$
  /**
   * <code>STOP</code> Strings - stop
   */
  public static final String STOP = "stop"; //$NON-NLS-1$
  /**
   * <code>COPYRIGHT</code> Strings -
   */
  public static final String COPYRIGHT = "Copyright 2004, Alexander Grsser"; //$NON-NLS-1$
  /**
   * <code>FONT_ARIAL</code> Strings -
   */
  public static final String FONT_ARIAL = "Arial"; //$NON-NLS-1$
  /**
   * <code>THREAD</code> Strings -
   */
  public static final String SPLASH_THREAD = "SplashThread"; //$NON-NLS-1$
  /**
   * <code>LT</code> Strings - &lt;
   */
  public static final String LT = String.valueOf(Chars.LT);
  /**
   * <code>GT</code> Strings - &gt;
   */
  public static final String GT = String.valueOf(Chars.GT);
  /**
   * <code>EQ</code> Strings - =
   */
  public static final String EQ = String.valueOf(Chars.EQ);
  /**
   * <code>BEQ</code> Strings - ==
   */
  public static final String BEQ = "=="; //$NON-NLS-1$
  /**
   * <code>LE</code> Strings - <=
   */
  public static final String LE = "<="; //$NON-NLS-1$
  /**
   * <code>GE</code> Strings - >=
   */
  public static final String GE = ">="; //$NON-NLS-1$
  /**
   * <code>EMPTY</code> Strings -
   */
  public static final String EMPTY = ""; //$NON-NLS-1$
  /**
   * <code>TRUE</code> Strings - true
   */
  public static final String TRUE = "true"; //$NON-NLS-1$
  /**
   * <code>JAVA</code> Strings -
   */
  public static final String JAVA = "java -cp <classpath> "; //$NON-NLS-1$
  /**
   * <code>DOLLAR</code> Strings - $
   */
  public static final String DOLLAR = String.valueOf(Chars.DOLLAR);
  /**
   * <code>SLASH</code> Strings - /
   */
  public static final String SLASH = String.valueOf(Chars.SLASH);
  /**
   * <code>PIPE</code> Strings - |
   */
  public static final String PIPE = String.valueOf(Chars.PIPE);
  /**
   * <code>NULL</code> Strings -
   */
  public static final String NULL = "null"; //$NON-NLS-1$
  /**
   * <code>NE</code> Strings - !=
   */
  public static final String NE = "!="; //$NON-NLS-1$
  /**
   * <code>ZERO</code> Strings - 0
   */
  public static final String ZERO = String.valueOf(Chars.ZERO);
  /**
   * <code>QMARK</code> Strings - ?
   */
  public static final String QMARK = String.valueOf(Chars.QMARK);
  /**
   * <code>NET_USE</code> Strings - net use
   */
  public static final String NET_USE = "net use "; //$NON-NLS-1$
  /**
   * <code>BSLASH_BSLASH</code> Strings - \\
   */
  public static final String BSLASH_BSLASH = "\\\\"; //$NON-NLS-1$
  /**
   * <code>USCORE</code> Strings - _
   */
  public static final String USCORE = String.valueOf(Chars.USCORE);
  /**
   * <code>COLON</code> Strings -String
   */
  public static final String COLON = String.valueOf(Chars.COLON);
}
